libebook::EBOOKCharsetConverter Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKCharsetConverter Class Reference

`#include <EBOOKCharsetConverter.h>`

## Public Member Functions
| EBOOKCharsetConverter (const char *encoding=0)
| ~EBOOKCharsetConverter ()
bool | guessEncoding (const char *in, unsigned length)
bool | convertBytes (const char *in, unsigned length, std::vector< char > &out)

## Private Member Functions
| EBOOKCharsetConverter (const EBOOKCharsetConverter &other)
EBOOKCharsetConverter & | operator= (const EBOOKCharsetConverter &other)

## Private Attributes
UConverter * | m_converterToUnicode
UConverter * | m_converterToUTF8

## Constructor & Destructor Documentation

## § EBOOKCharsetConverter() [1/2]

libebook::EBOOKCharsetConverter::EBOOKCharsetConverter | ( | const EBOOKCharsetConverter & | other | ) |
| private

## § EBOOKCharsetConverter() [2/2]

libebook::EBOOKCharsetConverter::EBOOKCharsetConverter | ( | const char * | encoding = `0` | ) |
| explicit

## § ~EBOOKCharsetConverter()

libebook::EBOOKCharsetConverter::~EBOOKCharsetConverter | ( |  | ) |

## Member Function Documentation

## § convertBytes()

bool libebook::EBOOKCharsetConverter::convertBytes | ( | const char * | in,
|  | unsigned | length,
|  | std::vector< char > & | out
| ) |  |

Referenced by libebook::EBOOKUTF8Stream::EBOOKUTF8Stream(), libebook::PDBParser::handleText(), libebook::TDParser::openDocument(), and libebook::PDBParser::openDocument().

## § guessEncoding()

bool libebook::EBOOKCharsetConverter::guessEncoding | ( | const char * | in,
|  | unsigned | length
| ) |  |

Referenced by libebook::PDBParser::createConverter(), libebook::TDParser::createConverter(), libebook::EBOOKUTF8Stream::EBOOKUTF8Stream(), and libebook::TCRParser::uncompress().

## § operator=()

EBOOKCharsetConverter& libebook::EBOOKCharsetConverter::operator= | ( | const EBOOKCharsetConverter & | other | ) |
| private

## Member Data Documentation

## § m_converterToUnicode

UConverter* libebook::EBOOKCharsetConverter::m_converterToUnicode
| private

Referenced by convertBytes(), EBOOKCharsetConverter(), guessEncoding(), and ~EBOOKCharsetConverter().

## § m_converterToUTF8

UConverter* libebook::EBOOKCharsetConverter::m_converterToUTF8
| private

Referenced by convertBytes(), EBOOKCharsetConverter(), and ~EBOOKCharsetConverter().

The documentation for this class was generated from the following files:

- EBOOKCharsetConverter.h
- EBOOKCharsetConverter.cpp